Skip to main content

GET /v1/aliexpress/search/products_v1

AliExpress Product Search API (V1)

stable · 20 credits per success

Search AliExpress products with optional query, page, sort, category, brand, location, attribute, price, locale, region and currency controls. Use it for product discovery, catalogue research and market category analysis.

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/aliexpress/search/products_v1?q=demo&loc=demo&attr=demo&page=1&sort=default&catId=demo&locale=demo&region=demo&brandId=demo&currency=demo&endPrice=0&switches=demo&startPrice=0' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
base{ 5 items }
resultList[ 2 items ]
}
meta{
endpoint:"aliexpress.search.products_v1"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    qstringqueryno商品搜索查询词。demo
    locstringqueryno商品搜索结果的位置筛选条件。demo
    attrstringqueryno搜索结果的商品属性筛选条件。demo
    pagestringqueryno分页使用的从 1 开始的页码。1
    sortstringqueryno商品搜索结果的排序方式。 可用值: - `default`:默认结果顺序 - `salesDesc`:销量,从高到低 - `priceAsc`:价格,从低到高 - `priceDesc`:价格,从高到低default
    catIdstringqueryno用于筛选商品搜索结果的类别 ID。demo
    localestringqueryno用于 AliExpress 响应的语言环境。demo
    regionstringquerynoAliExpress 市场地区。demo
    brandIdstringqueryno用于筛选商品搜索结果的品牌 ID。demo
    currencystringqueryno用于商品价格的货币代码。demo
    endPricenumberqueryno商品最高价格筛选(包含边界值)。0
    switchesstringqueryno用于选择可选结果特性的搜索开关。demo
    startPricenumberqueryno商品最低价格筛选(包含边界值)。0

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 20 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    Search

    Search endpoints and docs